<?php
require("../../class/connect.php");
include("../../class/db_sql.php");
include("../../class/config.php");
include("../../class/functions.php");
include "../".LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
//验证用户
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
$editor=1;
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"notcj");
$enews=$_POST['enews'];
if(empty($enews))
{$enews=$_GET['enews'];}
if($enews)
{
	include("../../class/com_functions.php");
}
//增加随机字符
if($enews=="AddNotcj")
{
	AddNotcj($_POST,$logininid,$loginin);
}
//修改随机字符
elseif($enews=="EditNotcj")
{
	EditNotcj($_POST,$logininid,$loginin);
}
//删除随机字符
elseif($enews=="DelNotcj")
{
	$id=$_GET['id'];
	DelNotcj($id,$logininid,$loginin);
}
else
{}
$start=(int)$_GET['start'];
$page=(int)$_GET['page'];
$line=15;//每行显示
$page_line=15;
$offset=$start+$page*$line;
$totalquery="select count(*) as total from {$dbtbpre}enewsnotcj";
$num=$empire->gettotal($totalquery);//取得总条数
$query="select id,word from {$dbtbpre}enewsnotcj";
$query.=" order by id desc limit $offset,$line";
$sql=$empire->query($query);
$returnpage=page1($num,$line,$page_line,$start,$page,$search);
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>管理防采集随机字符</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td>位置：反采集管理 &gt; <a href="NotCj.php">管理防采集随机字符</a></td>
  </tr>
</table>
<form name="form1" method="post" action="NotCj.php">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
    <tr class="header"> 
      <td height="25">增加防采集随机字符: 
        <input type=hidden name=enews value=AddNotcj>
        </td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> 
        <textarea name="word" cols="65" rows="8" id="word"></textarea>
      </td>
    </tr>
    <tr>
      <td height="25" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="增加">
        <input type="reset" name="Submit2" value="重置"></td>
    </tr>
  </table>
</form>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header">
    <td width="7%"><div align="center">ID</div></td>
    <td width="75%" height="25">防采集随机字符</td>
    <td width="18%" height="25"><div align="center">操作</div></td>
  </tr>
  <?
  while($r=$empire->fetch($sql))
  {
  $word=htmlspecialchars(stripSlashes($r[word]));
  ?>
  <form name=form2 method=post action=NotCj.php>
    <input type=hidden name=enews value=EditNotcj>
    <input type=hidden name=id value=<?=$r[id]?>>
    <tr bgcolor="#FFFFFF">
      <td><div align="center"><?=$r[id]?></div></td>
      <td height="25"><textarea name="word" cols="65" rows="8" id="word"><?=$word?></textarea> 
      </td>
      <td height="25"><div align="center"> 
          <input type="submit" name="Submit3" value="修改">
          &nbsp; 
          <input type="button" name="Submit4" value="删除" onclick="self.location.href='NotCj.php?enews=DelNotcj&id=<?=$r[id]?>';">
        </div></td>
    </tr>
	</form>
  <?
  }
  db_close();
  $empire=null;
  ?>
    <tr bgcolor="#FFFFFF"> 
      <td height="25" colspan="3">&nbsp;<?=$returnpage?></td>
    </tr>
</table>
</body>
</html>
